/*
 * Copyright 2022-2023 NXP
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Pins v14.0
processor: MCXN547
package_id: MCXN547VDF
mcu_data: ksdk2_0
processor_version: 0.14.13
board: MCX-N5XX-EVK
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

#include "fsl_common.h"
#include "fsl_port.h"
#include "pin_mux.h"

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitBootPins
 * Description   : Calls initialization functions.
 *
 * END ****************************************************************************************************************/
void BOARD_InitBootPins(void)
{
    BOARD_InitDEBUG_UARTPins();
    BOARD_InitLcdPins();
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitDEBUG_UARTPins:
- options: {callFromInitBoot: 'true', coreID: cm33_core0, enableClock: 'true'}
- pin_list:
  - {pin_num: A1, peripheral: LP_FLEXCOMM4, signal: LPFLEXCOMM_P0, pin_signal: PIO1_8/WUU0_IN10/LPTMR1_ALT3/TRACE_DATA0/FC4_P0/FC5_P4/CT_INP8/SCT0_OUT2/FLEXIO0_D16/PLU_OUT0/ENET0_TXD2/I3C1_SDA/TSI0_CH17/ADC1_A8,
    slew_rate: fast, open_drain: disable, drive_strength: low, pull_select: down, pull_enable: disable, passive_filter: disable, pull_value: low, input_buffer: enable,
    invert_input: normal}
  - {pin_num: B1, peripheral: LP_FLEXCOMM4, signal: LPFLEXCOMM_P1, pin_signal: PIO1_9/TRACE_DATA1/FC4_P1/FC5_P5/CT_INP9/SCT0_OUT3/FLEXIO0_D17/PLU_OUT1/ENET0_TXD3/I3C1_SCL/TSI0_CH18/ADC1_A9,
    slew_rate: fast, open_drain: disable, drive_strength: low, pull_select: down, pull_enable: disable, passive_filter: disable, input_buffer: enable, invert_input: normal}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitDEBUG_UARTPins
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void BOARD_InitDEBUG_UARTPins(void)
{
    /* Enables the clock for PORT1: Enables clock */
    CLOCK_EnableClock(kCLOCK_Port1);

    const port_pin_config_t DEBUG_UART_RX = {/* Internal pull-up/down resistor is disabled */
                                             kPORT_PullDisable,
                                             /* Low internal pull resistor value is selected. */
                                             kPORT_LowPullResistor,
                                             /* Fast slew rate is configured */
                                             kPORT_FastSlewRate,
                                             /* Passive input filter is disabled */
                                             kPORT_PassiveFilterDisable,
                                             /* Open drain output is disabled */
                                             kPORT_OpenDrainDisable,
                                             /* Low drive strength is configured */
                                             kPORT_LowDriveStrength,
                                             /* Pin is configured as FC4_P0 */
                                             kPORT_MuxAlt2,
                                             /* Digital input enabled */
                                             kPORT_InputBufferEnable,
                                             /* Digital input is not inverted */
                                             kPORT_InputNormal,
                                             /* Pin Control Register fields [15:0] are not locked */
                                             kPORT_UnlockRegister};
    /* PORT1_8 (pin A1) is configured as FC4_P0 */
    PORT_SetPinConfig(BOARD_INITDEBUG_UARTPINS_DEBUG_UART_RX_PORT, BOARD_INITDEBUG_UARTPINS_DEBUG_UART_RX_PIN, &DEBUG_UART_RX);

    const port_pin_config_t DEBUG_UART_TX = {/* Internal pull-up/down resistor is disabled */
                                             kPORT_PullDisable,
                                             /* Low internal pull resistor value is selected. */
                                             kPORT_LowPullResistor,
                                             /* Fast slew rate is configured */
                                             kPORT_FastSlewRate,
                                             /* Passive input filter is disabled */
                                             kPORT_PassiveFilterDisable,
                                             /* Open drain output is disabled */
                                             kPORT_OpenDrainDisable,
                                             /* Low drive strength is configured */
                                             kPORT_LowDriveStrength,
                                             /* Pin is configured as FC4_P1 */
                                             kPORT_MuxAlt2,
                                             /* Digital input enabled */
                                             kPORT_InputBufferEnable,
                                             /* Digital input is not inverted */
                                             kPORT_InputNormal,
                                             /* Pin Control Register fields [15:0] are not locked */
                                             kPORT_UnlockRegister};
    /* PORT1_9 (pin B1) is configured as FC4_P1 */
    PORT_SetPinConfig(BOARD_INITDEBUG_UARTPINS_DEBUG_UART_TX_PORT, BOARD_INITDEBUG_UARTPINS_DEBUG_UART_TX_PIN, &DEBUG_UART_TX);
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitLcdPins:
- options: {callFromInitBoot: 'true', coreID: cm33_core0, enableClock: 'true'}
- pin_list:
  - {pin_num: T4, peripheral: GPIO4, signal: 'GPIO, 7', pin_signal: PIO4_7/CT_INP19}
  - {pin_num: C13, peripheral: GPIO0, signal: 'GPIO, 7', pin_signal: PIO0_7/WUU0_IN1/FC0_P3/CT_INP3}
  - {pin_num: D11, peripheral: GPIO0, signal: 'GPIO, 12', pin_signal: PIO0_12/FC1_P4/FC0_P0/CT0_MAT2/FLEXIO0_D4/ADC0_B12}
  - {pin_num: A12, peripheral: FLEXIO0, signal: 'D, 1', pin_signal: PIO0_9/FC0_P5/CT_INP1/FLEXIO0_D1/ADC0_B9, slew_rate: slow, pull_select: up, pull_enable: enable}
  - {pin_num: C12, peripheral: FLEXIO0, signal: 'D, 0', pin_signal: PIO0_8/FC0_P4/CT_INP0/FLEXIO0_D0/ADC0_B8, pull_select: up, pull_enable: enable}
  - {pin_num: M2, peripheral: FLEXIO0, signal: 'D, 16', pin_signal: PIO2_8/TRACE_DATA0/SDHC0_D7/SCT0_IN2/FLEXIO0_D16/FLEXSPI0_B_DATA4/SAI1_TXD0}
  - {pin_num: M1, peripheral: FLEXIO0, signal: 'D, 17', pin_signal: PIO2_9/TRACE_DATA1/SDHC0_D6/SCT0_IN3/FLEXIO0_D17/FLEXSPI0_B_DATA5/SAI1_RXD0}
  - {pin_num: M3, peripheral: FLEXIO0, signal: 'D, 18', pin_signal: PIO2_10/TRACE_DATA2/SCT0_IN4/FLEXIO0_D18/FLEXSPI0_B_DATA6/SAI1_RXD1}
  - {pin_num: N4, peripheral: FLEXIO0, signal: 'D, 19', pin_signal: PIO2_11/TRACE_DATA3/SCT0_IN5/FLEXIO0_D19/FLEXSPI0_B_DATA7/SAI1_TXD1}
  - {pin_num: T6, peripheral: FLEXIO0, signal: 'D, 20', pin_signal: PIO4_12/WUU0_IN20/USB0_VBUS_DET/FC2_P0/CT4_MAT0/FLEXIO0_D20/PLU_OUT0/CAN0_RXD/ADC0_A5/ADC1_A5}
  - {pin_num: T7, peripheral: FLEXIO0, signal: 'D, 21', pin_signal: PIO4_13/TRIG_IN8/FC2_P1/USB1_ID/CT4_MAT1/FLEXIO0_D21/PLU_OUT1/CAN0_TXD/ADC0_B5/ADC1_B5}
  - {pin_num: N8, peripheral: FLEXIO0, signal: 'D, 22', pin_signal: PIO4_14/CT4_MAT2/FLEXIO0_D22/PLU_OUT2}
  - {pin_num: T8, peripheral: FLEXIO0, signal: 'D, 23', pin_signal: PIO4_15/WUU0_IN21/TRIG_OUT4/USB1_VBUS_DIG/CT4_MAT3/FLEXIO0_D23/PLU_OUT3/ADC0_A1/CMP0_IN4P}
  - {pin_num: R8, peripheral: FLEXIO0, signal: 'D, 24', pin_signal: PIO4_16/FC2_P2/USB1_OTG_PWR/CT3_MAT0/FLEXIO0_D24/PLU_OUT4/ADC0_A6}
  - {pin_num: R9, peripheral: FLEXIO0, signal: 'D, 25', pin_signal: PIO4_17/TRIG_IN9/FC2_P3/USB1_OTG_OC/CT3_MAT1/FLEXIO0_D25/PLU_OUT5/ADC0_B6}
  - {pin_num: N10, peripheral: FLEXIO0, signal: 'D, 26', pin_signal: PIO4_18/CT3_MAT2/FLEXIO0_D26/PLU_OUT6}
  - {pin_num: R10, peripheral: FLEXIO0, signal: 'D, 27', pin_signal: PIO4_19/TRIG_OUT5/CT3_MAT3/FLEXIO0_D27/PLU_OUT7/ADC0_B1/CMP1_IN4P}
  - {pin_num: T10, peripheral: FLEXIO0, signal: 'D, 28', pin_signal: PIO4_20/TRIG_IN8/FC2_P4/CT2_MAT0/FLEXIO0_D28/ADC1_A6}
  - {pin_num: T11, peripheral: FLEXIO0, signal: 'D, 29', pin_signal: PIO4_21/TRIG_IN9/FC2_P5/CT2_MAT1/FLEXIO0_D29/ADC1_B6}
  - {pin_num: T12, peripheral: FLEXIO0, signal: 'D, 30', pin_signal: PIO4_22/CT2_MAT2/FLEXIO0_D30}
  - {pin_num: U12, peripheral: FLEXIO0, signal: 'D, 31', pin_signal: PIO4_23/TRIG_OUT5/FC2_P6/CT2_MAT3/FLEXIO0_D31/ADC0_A2/ADC0_B2/ADC1_B3}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitLcdPins
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void BOARD_InitLcdPins(void)
{
    /* Enables the clock for PORT0 controller: Enables clock */
    CLOCK_EnableClock(kCLOCK_Port0);
    /* Enables the clock for PORT2: Enables clock */
    CLOCK_EnableClock(kCLOCK_Port2);
    /* Enables the clock for PORT4: Enables clock */
    CLOCK_EnableClock(kCLOCK_Port4);

    /* PORT0_12 (pin D11) is configured as PIO0_12 */
    PORT_SetPinMux(PORT0, 12U, kPORT_MuxAlt0);

    PORT0->PCR[12] = ((PORT0->PCR[12] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT0_7 (pin C13) is configured as PIO0_7 */
    PORT_SetPinMux(PORT0, 7U, kPORT_MuxAlt0);

    PORT0->PCR[7] = ((PORT0->PCR[7] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT0_8 (pin C12) is configured as FLEXIO0_D0 */
    PORT_SetPinMux(PORT0, 8U, kPORT_MuxAlt6);

    PORT0->PCR[8] = ((PORT0->PCR[8] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_PS_MASK | PORT_PCR_PE_MASK | PORT_PCR_IBE_MASK)))

                     /* Pull Select: Enables internal pullup resistor. */
                     | PORT_PCR_PS(PCR_PS_ps1)

                     /* Pull Enable: Enables. */
                     | PORT_PCR_PE(PCR_PE_pe1)

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT0_9 (pin A12) is configured as FLEXIO0_D1 */
    PORT_SetPinMux(PORT0, 9U, kPORT_MuxAlt6);

    PORT0->PCR[9] = ((PORT0->PCR[9] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_PS_MASK | PORT_PCR_PE_MASK | PORT_PCR_SRE_MASK | PORT_PCR_IBE_MASK)))

                     /* Pull Select: Enables internal pullup resistor. */
                     | PORT_PCR_PS(PCR_PS_ps1)

                     /* Pull Enable: Enables. */
                     | PORT_PCR_PE(PCR_PE_pe1)

                     /* Slew Rate Enable: Slow. */
                     | PORT_PCR_SRE(PCR_SRE_sre1)

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT2_10 (pin M3) is configured as FLEXIO0_D18 */
    PORT_SetPinMux(PORT2, 10U, kPORT_MuxAlt6);

    PORT2->PCR[10] = ((PORT2->PCR[10] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT2_11 (pin N4) is configured as FLEXIO0_D19 */
    PORT_SetPinMux(PORT2, 11U, kPORT_MuxAlt6);

    PORT2->PCR[11] = ((PORT2->PCR[11] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT2_8 (pin M2) is configured as FLEXIO0_D16 */
    PORT_SetPinMux(PORT2, 8U, kPORT_MuxAlt6);

    PORT2->PCR[8] = ((PORT2->PCR[8] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT2_9 (pin M1) is configured as FLEXIO0_D17 */
    PORT_SetPinMux(PORT2, 9U, kPORT_MuxAlt6);

    PORT2->PCR[9] = ((PORT2->PCR[9] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_12 (pin T6) is configured as FLEXIO0_D20 */
    PORT_SetPinMux(PORT4, 12U, kPORT_MuxAlt6);

    PORT4->PCR[12] = ((PORT4->PCR[12] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_13 (pin T7) is configured as FLEXIO0_D21 */
    PORT_SetPinMux(PORT4, 13U, kPORT_MuxAlt6);

    PORT4->PCR[13] = ((PORT4->PCR[13] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_14 (pin N8) is configured as FLEXIO0_D22 */
    PORT_SetPinMux(PORT4, 14U, kPORT_MuxAlt6);

    PORT4->PCR[14] = ((PORT4->PCR[14] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_15 (pin T8) is configured as FLEXIO0_D23 */
    PORT_SetPinMux(PORT4, 15U, kPORT_MuxAlt6);

    PORT4->PCR[15] = ((PORT4->PCR[15] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_16 (pin R8) is configured as FLEXIO0_D24 */
    PORT_SetPinMux(PORT4, 16U, kPORT_MuxAlt6);

    PORT4->PCR[16] = ((PORT4->PCR[16] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_17 (pin R9) is configured as FLEXIO0_D25 */
    PORT_SetPinMux(PORT4, 17U, kPORT_MuxAlt6);

    PORT4->PCR[17] = ((PORT4->PCR[17] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_18 (pin N10) is configured as FLEXIO0_D26 */
    PORT_SetPinMux(PORT4, 18U, kPORT_MuxAlt6);

    PORT4->PCR[18] = ((PORT4->PCR[18] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_19 (pin R10) is configured as FLEXIO0_D27 */
    PORT_SetPinMux(PORT4, 19U, kPORT_MuxAlt6);

    PORT4->PCR[19] = ((PORT4->PCR[19] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_20 (pin T10) is configured as FLEXIO0_D28 */
    PORT_SetPinMux(PORT4, 20U, kPORT_MuxAlt6);

    PORT4->PCR[20] = ((PORT4->PCR[20] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_21 (pin T11) is configured as FLEXIO0_D29 */
    PORT_SetPinMux(PORT4, 21U, kPORT_MuxAlt6);

    PORT4->PCR[21] = ((PORT4->PCR[21] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_22 (pin T12) is configured as FLEXIO0_D30 */
    PORT_SetPinMux(PORT4, 22U, kPORT_MuxAlt6);

    PORT4->PCR[22] = ((PORT4->PCR[22] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_23 (pin U12) is configured as FLEXIO0_D31 */
    PORT_SetPinMux(PORT4, 23U, kPORT_MuxAlt6);

    PORT4->PCR[23] = ((PORT4->PCR[23] &
                       /* Mask bits to zero which are setting */
                       (~(PORT_PCR_IBE_MASK)))

                      /* Input Buffer Enable: Enables. */
                      | PORT_PCR_IBE(PCR_IBE_ibe1));

    /* PORT4_7 (pin T4) is configured as PIO4_7 */
    PORT_SetPinMux(PORT4, 7U, kPORT_MuxAlt0);

    PORT4->PCR[7] = ((PORT4->PCR[7] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_IBE_MASK)))

                     /* Input Buffer Enable: Enables. */
                     | PORT_PCR_IBE(PCR_IBE_ibe1));
}
/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
